Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1314401 - Review Request: python-openstackdocstheme - OpenStack Docs Theme
Summary: Review Request: python-openstackdocstheme - OpenStack Docs Theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1289970
TreeView+ depends on / blocked
 
Reported: 2016-03-03 13:51 UTC by Javier Peña
Modified: 2016-03-16 01:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-16 01:24:11 UTC
Type: ---
Embargoed:
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Javier Peña 2016-03-03 13:51:12 UTC
Spec URL: https://jpena.fedorapeople.org/python-openstackdocstheme/python-openstackdocstheme.spec
SRPM URL: https://jpena.fedorapeople.org/python-openstackdocstheme/python-openstackdocstheme-1.2.7-1.fc25.src.rpm
Description: OpenStack docs.openstack.org Sphinx Theme

Theme and extension support for Sphinx documentation that is published to
docs.openstack.org. Intended for use by OpenStack projects.
Fedora Account System Username: jpena

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=13213712

Please note that the usage of Google Analytics and external references and scripts has sparked some privacy concerns in the community. To handle them, Analytics is disabled by default as described by https://github.com/openstack/openstackdocstheme/commit/89b0475539ac6763baa27f5fc334639ee3853ebf and two patches are added to the source to remove external references. I'm happy to get input on whether this is the way to go.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-03 15:59:37 UTC
%setup+%patch0001+%patch0002 → %autosetup -p1

Add Provides: bundled(js-jquery) to both subpackages.

The comment about files /bin doesn't apply, right? Neither subpackage has any files that could be overwritten.

I think that with the patch to remove google-analytics code the privacy concerns are satisfied.

+ latest version
+ license is acceptable (ASL 2)
+ license file is present, %license is used
+ provides and requires are OK (but see the note above)
+ no scriptlets present or necessary

Package is APPROVED.

Comment 2 Upstream Release Monitoring 2016-03-03 17:11:46 UTC
jpena's scratch build of python-openstackdocstheme-1.2.7-2.fc25.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13215723

Comment 3 Gwyn Ciesla 2016-03-03 19:21:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-openstackdocstheme

Comment 4 Fedora Update System 2016-03-04 10:49:23 UTC
python-openstackdocstheme-1.2.7-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-517ab8446c

Comment 5 Fedora Update System 2016-03-05 02:22:43 UTC
python-openstackdocstheme-1.2.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-517ab8446c

Comment 6 Fedora Update System 2016-03-16 01:24:09 UTC
python-openstackdocstheme-1.2.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.